Package org.apache.storm.redis.trident.state

## Class RedisStateQuerier

- java.lang.Object
- - org.apache.storm.trident.operation.BaseOperation
  - - org.apache.storm.trident.state.BaseQueryFunction<T,​List<Values>>
    - - org.apache.storm.redis.trident.state.AbstractRedisStateQuerier<RedisState>
      - - org.apache.storm.redis.trident.state.RedisStateQuerier

- All Implemented Interfaces:
    `Serializable`, `EachOperation`, `Operation`, `QueryFunction<RedisState,​List<Values>>`

      public class RedisStateQuerier
      extends AbstractRedisStateQuerier<RedisState>

  BaseQueryFunction implementation for single Redis environment.
  See Also:
    `AbstractRedisStateQuerier`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.storm.redis.trident.state.AbstractRedisStateQuerier

      `additionalKey, dataType`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RedisStateQuerier​(RedisLookupMapper lookupMapper)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected List<String>` | `retrieveValuesFromRedis​(RedisState state, List<String> keys)` | Retrieves values from Redis that each value is corresponding to each key.

    - ### Methods inherited from class org.apache.storm.redis.trident.state.AbstractRedisStateQuerier

      `batchRetrieve, execute`

    - ### Methods inherited from class org.apache.storm.trident.operation.BaseOperation

      `cleanup, prepare`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.storm.trident.operation.Operation

      `cleanup, prepare`

- - ### Constructor Detail

    - #### RedisStateQuerier

          public RedisStateQuerier​(RedisLookupMapper lookupMapper)

      Constructor.
      Parameters:
        `lookupMapper` - mapper for querying

  - ### Method Detail

    - #### retrieveValuesFromRedis

          protected List<String> retrieveValuesFromRedis​(RedisState state,
                                                         List<String> keys)

      Retrieves values from Redis that each value is corresponding to each key.
      Specified by:
        `retrieveValuesFromRedis` in class `AbstractRedisStateQuerier<RedisState>`
      Parameters:
        `state` - State for handling query
        `keys` - keys having state values
      Returns:
        values which are corresponding to keys